#ifndef nikEventCut_hh
#define nikEventCut_hh

#include "StHbtMaker/Base/StHbtEventCut.h"


//_________________
class nikEventCut : public StHbtEventCut {

 public:
  nikEventCut();
  nikEventCut(const nikEventCut& copy); // copy constructor
  nikEventCut *Clone(void);             // unsafe
  ~nikEventCut();

  void SetEventMult(int lo, int hi);
  void SetImpactPar(float lo, float hi); // fm/c

  int NEventsPassed();
  int NEventsFailed();

  virtual string Report();
  virtual bool   Pass(const StHbtEvent*);

 private:


  int   mRefMult[2]; // multiplicity range
  float mImpPar[2];  // impact parameter range
  
  long    mNEventsPassed;
  long    mNEventsFailed;

#ifdef __ROOT__
  ClassDef(nikEventCut, 1)
#endif

};


#endif
